SASL_GETSECRET_T(3)

NAME
sasl_getsecret_t - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
int sasl_getsecret_t(sasl_conn_t *conn,
                    void *context,
                    int id,
                    sasl_secret_t ** psecret);

DESCRIPTION

int sasl_getsecret_t(sasl_conn_t *conn,

void *context,

int id,

sasl_secret_t ** psecret);
    sasl_getsecret_t() is used to retrieve the secret from the application. A sasl_secret_t should be allocated to length sizeof(sasl_secret_t) + <length of secret>. It has two fields: len which is the length of the secret in bytes and data which contains the secret itself (does not need to be null terminated).

Parameters

•   conn – is the SASL connection context

RETURN VALUE

SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

Other return codes indicate errors and should be handled.

SEE ALSO

RFC 4422,:saslman:sasl(3), sasl_callbacks(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team